// Copyright © Selmo Technology GmbH. All Rights Reserved

using Microsoft.AspNetCore.Components;
using Microsoft.JSInterop;

namespace SelmoStudio.Hmi.Server.SelmoHmi.Shared.Service
{
    public interface IViewportResizeService : IAsyncDisposable
    {
        Task Initialize(DotNetObjectReference<IComponent> component, ElementReference contentContainerRef, ElementReference parentContainerRef);
        Task Initialize(DotNetObjectReference<IComponent> component, ElementReference containerRef);
        Task<double> GetWidthAsync(ElementReference parentContainerRef);
    }
}
